#!/usr/bin/perl
#---
# Excerpted from "Using memcached: How to scale your website easily",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/memcd for more book information.
#---
use strict;
use DBI;
use Cache::Memcached;

# Set the server list up
my $memd = new Cache::Memcached {'servers' => [ "127.0.0.1:11211"],};

use Time::HiRes qw( gettimeofday tv_interval);

# DBI configuration
my $dsn = "DBI:mysql:memcachedTesting:localhost";
my $user = "mcd";	#Notice, not root
my $pw = "n0pass";	#Notice, password 
my $table = "";
my $dbh = DBI->connect($dsn, $user, $pw);

my $update_handle = $dbh->prepare_cached('FLUSH QUERY CACHE;');
$update_handle->execute();
$memd->flush_all();
$update_handle->execute();
$update_handle->execute();
