#---
# Excerpted from "Using memcached: How to scale your website easily",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/memcd for more book information.
#---
#memcachedHashGetMulti.pl
#!/usr/bin/perl
use Cache::Memcached;

# Set the server list up
my $memd = new Cache::Memcached {'servers' => [ "127.0.0.1:11211", 
                                                "192.168.0.80:11211" ],};
my @arrayref =("73EB7DE0-9452-4607-AAFC-8F7B625E75A3",
    "D9632738-43C2-4D92-A0D3-A9E8DB2EE6E2",
	"74B42DC4-78E6-4649-B511-5D43F0A0E995",
	"0D75C88B-1FDE-42A2-A7A5-17C7D0D7C03D",
	"210618B8-DA69-49C7-9349-16A51721913A",
	"B31C9348-944D-491B-820A-5A1D055715C0",
	"D6F90F35-A870-4435-BA8F-939DDB6812C6",
	"8682DE07-8EA2-485E-B654-B93281ACA5CA",
	"69E7D203-4483-4BC8-9912-D0F8FB639989",
	"50D20618-9CE3-44E0-A0D4-B74B6486E04B",
	"B51AA1E9-FF4C-400B-A633-C2F2B686B417",
	"63E45F49-63C3-4BA1-81B6-36D6FD5D0E23",
	"20F3396E-7374-4861-8E52-F81958464F50",
	"A158E28A-EC6F-47EE-9C3C-E38FA0CD88BB");
my $hashref = $memd->get_multi(@arrayref);
#disconnect from all servers
$memd->disconnect_all();
foreach $arrayref (@arrayref){
  if($hashref->{$arrayref}){
	print $arrayref," = ", $hashref->{$arrayref},"\n";}
  else {print $arrayref," DOES NOT EXIST!\n";}
}
