 CREATE DATABASE memcachedTesting;
go

 USE memcachedTesting;

--
-- Table structure for table 'calendarofevents'
--

-- DROP TABLE IF EXISTS calendarofevents;
CREATE TABLE calendarofevents (
  EventID int NOT NULL IDENTITY Primary Key,
  EventDate datetime NOT NULL,
  Description varchar(200)  NULL,
  Details nvarchar(max),
  WebSiteID int NOT NULL
) 

--
-- Dumping data for table 'calendarofevents'
--

INSERT INTO calendarofevents VALUES ('2008-01-01 00:00:00','New Year''s Day','Time for a new beginning',1);
INSERT INTO calendarofevents VALUES ('2008-01-21 00:00:00','Martin Luther King Day ','I had a dream',1);
INSERT INTO calendarofevents VALUES ('2008-02-02 00:00:00','Groundhog Day ','Has anyone seen Bill Murray today?',1);
INSERT INTO calendarofevents VALUES ('2008-12-26 00:00:00','Kwanzaa ','',1);
INSERT INTO calendarofevents VALUES ('2008-02-05 00:00:00','Mardi Gras ','I''m looking for some King Cake',1);
INSERT INTO calendarofevents VALUES ('2008-02-06 00:00:00','Ash Wednesday ','',1);
INSERT INTO calendarofevents VALUES ('2008-02-07 00:00:00','Chinese New Year ','It''s gonna be explosive!',1);
INSERT INTO calendarofevents VALUES ('2008-02-14 00:00:00','Valentine''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-02-18 00:00:00','President''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-03-17 00:00:00','St. Patrick''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-03-21 00:00:00','Good Friday ','',1);
INSERT INTO calendarofevents VALUES ('2008-03-23 00:00:00','Easter ','',1);
INSERT INTO calendarofevents VALUES ('2008-04-01 00:00:00','April Fool''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-04-15 00:00:00','Tax Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-04-20 00:00:00','Passover ','',1);
INSERT INTO calendarofevents VALUES ('2008-04-23 00:00:00','Admin Professionals Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-05-05 00:00:00','Cinco de Mayo ','',1);
INSERT INTO calendarofevents VALUES ('2008-05-06 00:00:00','Nurse''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-05-11 00:00:00','Mother''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-05-26 00:00:00','Memorial Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-06-09 00:00:00','Shavuot ','',1);
INSERT INTO calendarofevents VALUES ('2008-06-15 00:00:00','Father''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-07-01 00:00:00','Canada Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-07-04 00:00:00','Fourth of July ','',1);
INSERT INTO calendarofevents VALUES ('2008-09-01 00:00:00','Labor Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-09-02 00:00:00','Ramadan ','',1);
INSERT INTO calendarofevents VALUES ('2008-09-07 00:00:00','Grandparent''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-09-30 00:00:00','Rosh Hashanah ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-09 00:00:00','Yom Kippur ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-13 00:00:00','Thanksgiving - Canada ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-13 00:00:00','Columbus Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-14 00:00:00','Sukkot ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-16 00:00:00','Boss''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-18 00:00:00','Sweetest Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-26 00:00:00','Mother-in-Law Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-27 00:00:00','Simhat Torah ','',1);
INSERT INTO calendarofevents VALUES ('2008-10-31 00:00:00','Halloween ','',1);
INSERT INTO calendarofevents VALUES ('2008-11-11 00:00:00','Veteran''s Day ','',1);
INSERT INTO calendarofevents VALUES ('2008-11-27 00:00:00','Thanksgiving ','',1);
INSERT INTO calendarofevents VALUES ('2008-12-22 00:00:00','Hanukkah ','',1);


/* Add User */
USE [master]
GO
CREATE LOGIN [mcd] WITH PASSWORD=N'n0pass', DEFAULT_DATABASE=memcachedTesting, CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
USE memcachedTesting
GO
CREATE USER [mcd] FOR LOGIN [mcd]
GO
USE memcachedTesting
GO
EXEC sp_addrolemember N'db_owner', N'mcd'
GO

